Warning: Mac Update 10.5.6 Breaks PwnageTool For iPhone, iPod Touch [Confirmed]

Mac users wanting to hack their iPhone or iPod touch should beware—The update Apple released today (10.5.6 for Mac OS X Leopard) has been found to keep your Mac from recognizing your iPhone in DFU mode, making it impossible to jailbreak and/or unlock it using PwnageTool or QuickPwn.

If you intend to jailbreak or unlock your iPhone or iPod touch, we suggest waiting on the update until the Dev Team comes up with a solution. The Dev Team has been informed of the issue and we’ll keep you updated as more information is available.

Simply plugging in your iPhone via a USB hub is reported to work, as it does with the new MacBooks.

Thanks to everyone who sent this in!

Update: Erica Sadun at Ars Technica has confirmed that the USB kernel extensions (drivers) included in the 10.5.6 update do block DFU mode, which is required for PwnageTool and QuickPwn to work.

View the comments on the forum…